Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: NTop: Misc

Problem compiling nprobe 6 pro

 

 

NTop misc RSS feed   Index | Next | Previous | View Threaded


jnebrera at eneotecnologia

Nov 2, 2010, 5:14 AM

Post #1 of 4 (715 views)
Permalink
Problem compiling nprobe 6 pro

Hi all,

I'm getting this error when compiling nprobe 6 pro in Ubuntu 10.04 &
8.04:

# ./autogen.sh
...
# make
...
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I.
-I.. -I.. -I/usr/local/include -I/opt/local/include -g -O2 -pipe
-I/usr/local/include -I/opt/local/include -MT
libl7Plugin_la-l7Plugin.lo
-MD -MP -MF .deps/libl7Plugin_la-l7Plugin.Tpo -c -o
libl7Plugin_la-l7Plugin.lo `test -f 'l7Plugin.c' || echo './'`l7Plugin.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I..
-I/usr/local/include
-I/opt/local/include -g -O2 -pipe -I/usr/local/include
-I/opt/local/include -MT libl7Plugin_la-l7Plugin.lo -MD -MP -MF
.deps/libl7Plugin_la-l7Plugin.Tpo -c l7Plugin.c -fPIC -DPIC -o
.libs/libl7Plugin_la-l7Plugin.o
l7Plugin.c:401: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘httpCheck’
l7Plugin.c:434: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘sslCheck’
l7Plugin.c:444: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘sshCheck’
l7Plugin.c:489: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘dnsCheck’
l7Plugin.c:560: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘netbiosCheck’
l7Plugin.c:600: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘radiusCheck’
l7Plugin.c:619: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘smtpCheck’
l7Plugin.c:635: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘imapCheck’
l7Plugin.c:652: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘popCheck’
l7Plugin.c:677: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘snmpCheck’
l7Plugin.c:703: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
before ‘bootpCheck’
make[3]: *** [libl7Plugin_la-l7Plugin.lo] Error 1
make[3]: se sale del directorio
`/usr/src/nprobe_6.0.0_101310_pro/plugins'
make[2]: *** [all-recursive] Error 1
make[2]: se sale del directorio
`/usr/src/nprobe_6.0.0_101310_pro/plugins'
make[1]: *** [all-recursive] Error 1
make[1]: se sale del directorio `/usr/src/nprobe_6.0.0_101310_pro'
make: *** [all] Error 2

Any idea?

Thanks for any suggestion. Regards

--
Jaime Nebrera - jnebrera [at] eneotecnologia
Consultor TI - ENEO Tecnologia SL
Pol. PISA - C/ Manufactura 6, P1, 3B
Mairena del Aljarafe - 41927 - Sevilla
Telf.- 955 60 11 60 / 619 04 55 18

_______________________________________________
Ntop-misc mailing list
Ntop-misc [at] listgateway
http://listgateway.unipi.it/mailman/listinfo/ntop-misc


deri at ntop

Nov 3, 2010, 3:19 AM

Post #2 of 4 (686 views)
Permalink
Re: Problem compiling nprobe 6 pro [In reply to]

Jaime
please move to 6.0.3

Luca

On 11/02/2010 01:14 PM, Jaime Nebrera wrote:
> Hi all,
>
> I'm getting this error when compiling nprobe 6 pro in Ubuntu 10.04&
> 8.04:
>
> # ./autogen.sh
> ...
> # make
> ...
> /bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I.
> -I.. -I.. -I/usr/local/include -I/opt/local/include -g -O2 -pipe
> -I/usr/local/include -I/opt/local/include -MT
> libl7Plugin_la-l7Plugin.lo
> -MD -MP -MF .deps/libl7Plugin_la-l7Plugin.Tpo -c -o
> libl7Plugin_la-l7Plugin.lo `test -f 'l7Plugin.c' || echo './'`l7Plugin.c
> libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I..
> -I/usr/local/include
> -I/opt/local/include -g -O2 -pipe -I/usr/local/include
> -I/opt/local/include -MT libl7Plugin_la-l7Plugin.lo -MD -MP -MF
> .deps/libl7Plugin_la-l7Plugin.Tpo -c l7Plugin.c -fPIC -DPIC -o
> .libs/libl7Plugin_la-l7Plugin.o
> l7Plugin.c:401: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘httpCheck’
> l7Plugin.c:434: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘sslCheck’
> l7Plugin.c:444: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘sshCheck’
> l7Plugin.c:489: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘dnsCheck’
> l7Plugin.c:560: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘netbiosCheck’
> l7Plugin.c:600: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘radiusCheck’
> l7Plugin.c:619: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘smtpCheck’
> l7Plugin.c:635: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘imapCheck’
> l7Plugin.c:652: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘popCheck’
> l7Plugin.c:677: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘snmpCheck’
> l7Plugin.c:703: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘bootpCheck’
> make[3]: *** [libl7Plugin_la-l7Plugin.lo] Error 1
> make[3]: se sale del directorio
> `/usr/src/nprobe_6.0.0_101310_pro/plugins'
> make[2]: *** [all-recursive] Error 1
> make[2]: se sale del directorio
> `/usr/src/nprobe_6.0.0_101310_pro/plugins'
> make[1]: *** [all-recursive] Error 1
> make[1]: se sale del directorio `/usr/src/nprobe_6.0.0_101310_pro'
> make: *** [all] Error 2
>
> Any idea?
>
> Thanks for any suggestion. Regards
>
>

_______________________________________________
Ntop-misc mailing list
Ntop-misc [at] listgateway
http://listgateway.unipi.it/mailman/listinfo/ntop-misc


jnebrera at eneotecnologia

Nov 3, 2010, 5:10 AM

Post #3 of 4 (685 views)
Permalink
Re: Problem compiling nprobe 6 pro [In reply to]

El mi, 03-11-2010 a las 11:19 +0100, Luca Deri escribi:
> Jaime
> please move to 6.0.3

Ok, I will report when try again

Tks

--
Jaime Nebrera - jnebrera [at] eneotecnologia
Consultor TI - ENEO Tecnologia SL
Pol. PISA - C/ Manufactura 6, P1, 3B
Mairena del Aljarafe - 41927 - Sevilla
Telf.- 955 60 11 60 / 619 04 55 18

_______________________________________________
Ntop-misc mailing list
Ntop-misc [at] listgateway
http://listgateway.unipi.it/mailman/listinfo/ntop-misc


jnebrera at eneotecnologia

Nov 3, 2010, 8:51 AM

Post #4 of 4 (684 views)
Permalink
Re: Problem compiling nprobe 6 pro [In reply to]

Hi all,

> Jaime
> please move to 6.0.3

Ok, just tested it on Ubuntu 8.04 without pf_ring and compiled nicely.
Will report when we try on 10.04 and with pf_ring enabled.

Big thanks !!

--
Jaime Nebrera - jnebrera [at] eneotecnologia
Consultor TI - ENEO Tecnologia SL
Pol. PISA - C/ Manufactura 6, P1, 3B
Mairena del Aljarafe - 41927 - Sevilla
Telf.- 955 60 11 60 / 619 04 55 18

_______________________________________________
Ntop-misc mailing list
Ntop-misc [at] listgateway
http://listgateway.unipi.it/mailman/listinfo/ntop-misc

NTop misc RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.